[Anet A6] Problem z aktualizacją do Marlin 1.1.9

dueros
Posty: 10
Rejestracja: 12 cze 2019, 19:10

[Anet A6] Problem z aktualizacją do Marlin 1.1.9

Postautor: dueros » 12 cze 2019, 19:22

Witam,

Wykopałem ostatnio moją drukarkę i chciałem zaktualizować ją do Marlin 1.1.9. Jednak mam pewien problem. Nie mogę skompilować Marlina w Arduino IDE. Wywala mi błędy. Szukałem w google, ale nie mogę znaleźć rozwiązania. Może tutaj ktoś mi pomoże.

Oto błedy, które mi Arduino wywala:

Kod: Zaznacz cały

^

In file included from C:\Program Files (x86)\Arduino\hardware\arduino\avr\cores\arduino\Arduino.h:257:0,

                 from C:\Program Files (x86)\Arduino\hardware\arduino\avr\cores\arduino\HardwareSerial3.cpp:25:

C:\Program Files (x86)\Arduino\hardware\anet\avr\variants\sanguino/pins_arduino.h:54:0: warning: "TIMER5B" redefined

 #define TIMER5B 15

 ^

In file included from C:\Program Files (x86)\Arduino\hardware\arduino\avr\cores\arduino\HardwareSerial3.cpp:25:0:

C:\Program Files (x86)\Arduino\hardware\arduino\avr\cores\arduino\Arduino.h:222:0: note: this is the location of the previous definition

 #define TIMER5B 17

 ^

In file included from C:\Program Files (x86)\Arduino\hardware\arduino\avr\cores\arduino\Arduino.h:257:0,

                 from C:\Program Files (x86)\Arduino\hardware\arduino\avr\cores\arduino\HardwareSerial3.cpp:25:

C:\Program Files (x86)\Arduino\hardware\anet\avr\variants\sanguino/pins_arduino.h:55:0: warning: "TIMER5C" redefined

 #define TIMER5C 16

 ^

In file included from C:\Program Files (x86)\Arduino\hardware\arduino\avr\cores\arduino\HardwareSerial3.cpp:25:0:

C:\Program Files (x86)\Arduino\hardware\arduino\avr\cores\arduino\Arduino.h:223:0: note: this is the location of the previous definition

 #define TIMER5C 18

 ^

c:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/bin/ld.exe: C:\Users\duero\AppData\Local\Temp\arduino_build_106290/Marlin.ino.elf section `.text' will not fit in region `text'

c:/program files (x86)/arduino/hardware/tools/avr/bin/../lib/gcc/avr/5.4.0/../../../../avr/bin/ld.exe: region `text' overflowed by 898 bytes

collect2.exe: error: ld returned 1 exit status

exit status 1
Error compiling for board Anet V1.0.

This report would have more information with
"Show verbose output during compilation"
option enabled in File -> Preferences.


PS. Trochę skróciłem listę błędów, ponieważ i tak się chyba powtarzają.
Awatar użytkownika
@GUTEK@
Posty: 480
Rejestracja: 02 lip 2018, 21:45
Lokalizacja: Gliwice
Drukarka: Creality CR-10 bez S
x 222
Kontaktowanie:

Re: [Anet A6] Problem z aktualizacją do Marlin 1.1.9

Postautor: @GUTEK@ » 12 cze 2019, 19:38

Oto rozwiązanie znalezione w google: https://www.reddit.com/r/AnetA8/comment ... to_marlin/
dueros
dueros
Posty: 10
Rejestracja: 12 cze 2019, 19:10

Re: [Anet A6] Problem z aktualizacją do Marlin 1.1.9

Postautor: dueros » 12 cze 2019, 22:14

Ok dzięki, ale chyba mój angielski jest za słaby i nie rozumiem, w jaki sposób ten użytkownik rozwiązał problem. Jeśli dobrze wyczytałem to zainstalował on po prostu Arduino przy pomocy instalatora exe ze strony Arduino i problem się rozwiązał. Ja jednak też zainstalowałem w ten sposób Arduino 1.8.5, ponieważ wyczytałem, że 1.8.5 najlepiej się nadaje. Niestety problem się nie rozwiązał.
Awatar użytkownika
@GUTEK@
Posty: 480
Rejestracja: 02 lip 2018, 21:45
Lokalizacja: Gliwice
Drukarka: Creality CR-10 bez S
x 222
Kontaktowanie:

Re: [Anet A6] Problem z aktualizacją do Marlin 1.1.9

Postautor: @GUTEK@ » 12 cze 2019, 22:23

To weź z łaski swojej wrzuć na forum swoje konfigi w załączniku. A nie wybrałeś tam przypadkiem za dużo funkcji "overflowed by 898 bytes" ? Anet ma tylko Atmegę 1284.
dueros
dueros
Posty: 10
Rejestracja: 12 cze 2019, 19:10

Re: [Anet A6] Problem z aktualizacją do Marlin 1.1.9

Postautor: dueros » 13 cze 2019, 00:36

Ok wrzucam swoje configi.
Załączniki
Configuration_adv.h
(67.35 KiB) Pobrany 10 razy
Configuration.h
(78.03 KiB) Pobrany 15 razy
Awatar użytkownika
@GUTEK@
Posty: 480
Rejestracja: 02 lip 2018, 21:45
Lokalizacja: Gliwice
Drukarka: Creality CR-10 bez S
x 222
Kontaktowanie:

Re: [Anet A6] Problem z aktualizacją do Marlin 1.1.9

Postautor: @GUTEK@ » 13 cze 2019, 07:24

Tak na szybko co rzuciło mi się w oczy:
- średnica filamentu, masz wybrane 3.00
- masz włączony bltouch, masz go faktycznie?
Wyłącz go na próbę i spróbuj skompilować.
dueros
dueros
Posty: 10
Rejestracja: 12 cze 2019, 19:10

Re: [Anet A6] Problem z aktualizacją do Marlin 1.1.9

Postautor: dueros » 13 cze 2019, 07:51

Ok zmieniłem filament na 1.75, wyłączyłem BLtouch i Auto bed leveling i poszło. Nie ma to chyba jednak sensu, bo BLtouch posiadam, a bez auto bed leveling to po co mi ten BLtouch. Chyba zostanę przy starym Skynet 2.3.2.
Awatar użytkownika
@GUTEK@
Posty: 480
Rejestracja: 02 lip 2018, 21:45
Lokalizacja: Gliwice
Drukarka: Creality CR-10 bez S
x 222
Kontaktowanie:

Re: [Anet A6] Problem z aktualizacją do Marlin 1.1.9

Postautor: @GUTEK@ » 13 cze 2019, 08:02

Możliwe, że faktycznie nie mieści się nowa wersja. Spróbuj np. wyłączyć logo startowe i wtedy włączyć bltouch.
dueros
dueros
Posty: 10
Rejestracja: 12 cze 2019, 19:10

Re: [Anet A6] Problem z aktualizacją do Marlin 1.1.9

Postautor: dueros » 13 cze 2019, 08:09

Ok pokombinuje troche. Dzieki za pomoc ;)
dueros
Posty: 10
Rejestracja: 12 cze 2019, 19:10

Re: [Anet A6] Problem z aktualizacją do Marlin 1.1.9

Postautor: dueros » 13 cze 2019, 15:42

Mam jeszcze jedno pytanie. Udało mi się zmieścić Marlin'a na drukarce. Wyłączyłem BOOTSCREEN i zmieniłem bed_levelin na 3POINT. Jednak tutaj moje pytanie, czy 3POINT jest ok? Zawsze używałem LINEAR i wydawał mi się lepszy. Jeśli 3POINT jest słaby to doradźcie co mogę jeszcze wyłaczyc, aby zmieścić LINEAR.

Wrzucę jeszcze mój config.
Załączniki
Configuration.h
(78.01 KiB) Pobrany 17 razy

Wróć do „Anet”

Kto jest online

Użytkownicy przeglądający to forum: Obecnie na forum nie ma żadnego zarejestrowanego użytkownika i 6 gości